For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Contact object
          • GET/contacts
          • POST/contacts
          • GET/contacts/{id}
          • PATCH/contacts/{id}
          • GET/contacts/meta/patch/{id}
          • GET/contacts/meta/post
          • GET/contacts/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsContacts

/contacts/{id}

GET
/accounting/v1/contacts/:id
GET
/api/accounting/v1/contacts/:id
$curl -G https://api.merge.dev/api/accounting/v1/contacts/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=addresses,phone_numbers,company \
> -d remote_fields=status \
> -d show_enum_origins=status
200Retrieved
1{
2 "id": "c640b80b-fac9-409f-aa19-1f9221aec445",
3 "remote_id": "11167",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "Gil Feig's pickleball store",
7 "is_supplier": true,
8 "is_customer": true,
9 "email_address": "pickleball@merge.dev",
10 "tax_number": "12-3456789",
11 "status": "ACTIVE",
12 "currency": "USD",
13 "remote_updated_at": "2020-03-31T00:00:00Z",
14 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
15 "addresses": [
16 {},
17 {}
18 ],
19 "phone_numbers": [
20 {
21 "number": "+3198675309",
22 "type": "Mobile"
23 }
24 ],
25 "remote_was_deleted": true,
26 "field_mappings": {
27 "organization_defined_targets": {
28 "custom_key": "custom_value"
29 },
30 "linked_account_defined_targets": {
31 "custom_key": "custom_value"
32 }
33 },
34 "remote_data": [
35 {
36 "path": "/actions",
37 "data": null
38 }
39 ],
40 "remote_fields": [
41 {
42 "remote_field_class": {
43 "id": "string",
44 "display_name": "string",
45 "remote_key_name": "string",
46 "description": "string",
47 "is_custom": true,
48 "is_common_model_field": true,
49 "is_required": true,
50 "field_type": "string",
51 "field_format": "string",
52 "field_choices": [
53 "string"
54 ],
55 "item_schema": {
56 "item_type": "string",
57 "item_format": "string",
58 "item_choices": [
59 "string"
60 ]
61 }
62 },
63 "value": "string"
64 }
65 ]
66}

Returns a Contact object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/contacts

Next

/contacts/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null
The contact's name.
is_supplierboolean or null
Whether the contact is a supplier.
is_customerboolean or null
Whether the contact is a customer.
email_addressstring or null
The contact's email address.
tax_numberstring or null
The contact's tax number.
statusenum or null

The contact’s status

  • ACTIVE - ACTIVE
  • ARCHIVED - ARCHIVED
Allowed values:
currencystring or null
The currency the contact's transactions are in.
remote_updated_atdatetime or null
When the third party's contact was updated.
companystring or nullformat: "uuid"
The company the contact belongs to.
addresseslist of objects

Address object IDs for the given Contacts object.

phone_numberslist of objects

AccountingPhoneNumber object for the given Contacts object.

remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only
remote_fieldslist of objectsRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more